API协议收入服务 API
协议收入服务 API
获取 TRON 协议总收入
返回 TRON 协议收入的完整明细——包括销毁收入、质押收入、能量/带宽拆分、收盘 TRX 价格以及环比变化率,支持配置时间粒度。
GET https://apilist.tronscanapi.com/api/external/turnover/new?size=1000&start=1575129600000&end=1725846158880&timeType=0在浏览器中试试这个接口 ↗ 🔗
请求
| 参数 | 描述 |
|---|---|
size | 每页条目数。默认值:1000 |
start | 开始时间,精确到毫秒 |
end | 结束时间,精确到毫秒 |
timeType | 查询粒度。0:天 · 1:月 · 2:季度 · 3:年 |
format | 下载格式。设置为 csv 可将统计数据下载为 CSV 文件 |
响应
{
"total": 1,
"data": [
{
"day": "2024-09-08",
"trxClosePrice": "0.1531909239",
"totalIncome": 5619413.042217823529562,
"burnIncome": 1124467.409354824102680,
"burnIncomePercent": "0.2001",
"stakeIncome": 4494945.632862999426882,
"stakeIncomePercent": "0.7999",
"energyIncome": 5339887.246792556266662,
"netIncome": 279525.7954252672629,
"energyBurnIncome": 1054296.594447472672380,
"energyBurnIncomePercent": "0.9376",
"energyBurnIncomePercentInTotal": "0.1876",
"energyStakeIncome": 4285590.652345083594282,
"energyStakeIncomePercent": "0.9534",
"energyStakeIncomePercentInTotal": "0.7626",
"netBurnIncome": 70170.8149073514303,
"netBurnIncomePercent": "0.0624",
"netBurnIncomePercentInTotal": "0.0125",
"netStakeIncome": 209354.9805179158326,
"netStakeIncomePercent": "0.0466",
"netStakeIncomePercentInTotal": "0.0373"
}
],
"totalIncomeYester": 5619413.042217823529562,
"totalIncomeYesterRate": -0.049,
"totalIncomeMonth": "229708957.488249488240826",
"totalIncomeMonthRate": 0.5024,
"totalIncome3Month": "524743928.187377907224572",
"totalIncome3MonthRate": 0.3363,
"totalIncomeYear": "1575565290.6602948302878386299322",
"totalIncomeYearRate": 1.1513
}data[] 字段说明
| 字段 | 描述 |
|---|---|
day | 统计日期 |
trxClosePrice | 当日 TRX 收盘价 |
totalIncome | 总收入 |
burnIncome | 销毁总收入 |
burnIncomePercent | 销毁总收入占总收入的比例 |
stakeIncome | 质押总收入 |
stakeIncomePercent | 质押总收入占总收入的比例 |
energyIncome | 能量总收入 |
netIncome | 带宽总收入 |
energyBurnIncome | 能量销毁收入 |
energyBurnIncomePercent | 能量销毁收入占销毁总收入的比例 |
energyBurnIncomePercentInTotal | 能量销毁收入占总收入的比例 |
energyStakeIncome | 能量质押总收入 |
energyStakeIncomePercent | 能量质押收入占质押总收入的比例 |
energyStakeIncomePercentInTotal | 能量质押收入占总收入的比例 |
netBurnIncome | 带宽销毁总收入 |
netBurnIncomePercent | 带宽销毁收入占销毁总收入的比例 |
netBurnIncomePercentInTotal | 带宽销毁收入占总收入的比例 |
netStakeIncome | 带宽质押收入 |
netStakeIncomePercent | 带宽质押收入占质押总收入的比例 |
netStakeIncomePercentInTotal | 带宽质押收入占总收入的比例 |
顶层汇总字段
| 字段 | 描述 |
|---|---|
totalIncomeYester | 昨日总收入 |
totalIncomeYesterRate | 日环比总收入变化率 |
totalIncomeMonth | 上月总收入 |
totalIncomeMonthRate | 月环比总收入变化率 |
totalIncome3Month | 上季度总收入 |
totalIncome3MonthRate | 季度环比总收入变化率 |
totalIncomeYear | 去年总收入 |
totalIncomeYearRate | 年同比总收入变化率 |
获取 TRON 销毁收入 / 质押收入
返回所选收入类型(销毁或质押)的详细统计数据,包括能量/带宽拆分、各周期汇总(天/月/季度/年)、收入占比及环比变化率。
GET https://apilist.tronscanapi.com/api/external/consumption/statistic?size=1000&start=1575129600000&end=1725847289598&timeType=0&type=burn在浏览器中试试这个接口 ↗ 🔗
请求
| 参数 | 描述 |
|---|---|
size | 每页条目数。默认值:1000 |
start | 开始时间,精确到毫秒 |
end | 结束时间,精确到毫秒 |
timeType | 查询粒度。0:天 · 1:月 · 2:季度 · 3:年 |
format | 下载格式。设置为 csv 可将统计数据下载为 CSV 文件 |
type | 要获取的收入类型。burn:销毁收入 · stake:质押收入 |
响应
{
"total": 1,
"data": [
{
"day": "2024-09-08",
"trxPriceInUsd": 0.1531909239,
"totalIncome": 5619413.042218,
"burnIncome": 1124467.409354,
"stakeIncome": 4494945.632863,
"energyIncome": 5339887.246793,
"netIncome": 279525.795425,
"energyBurnIncome": 1054296.594447,
"energyStakeIncome": 4285590.652345,
"netBurnIncome": 70170.814907,
"netStakeIncome": 209354.980518
}
],
"totalIncomeYester": 1124467.409354,
"totalIncomeMonth": 60428021.151735,
"totalIncome3Month": 135831107.601129,
"totalIncomeYear": 492478932.604666,
"totalNetIncomeYester": 70170.814907,
"totalNetIncomeMonth": 2750197.858982,
"totalNetIncome3Month": 6343358.549405,
"totalNetIncomeYear": 19628143.501117,
"totalEnergyIncomeYester": 1054296.594447,
"totalEnergyIncomeMonth": 57677823.292753,
"totalEnergyIncome3Month": 129487749.051724,
"totalEnergyIncomeYear": 472850789.103549,
"totalNetIncomeYesterRate": 0.062404,
"totalNetIncomeMonthRate": 0.045512,
"totalNetIncome3MonthRate": 0.0467,
"totalNetIncomeYearRate": 0.039856,
"totalEnergyIncomeYesterRate": 0.937596,
"totalEnergyIncomeMonthRate": 0.954488,
"totalEnergyIncome3MonthRate": 0.9533,
"totalEnergyIncomeYearRate": 0.960144,
"totalIncomeYesterRatio": -0.164912,
"totalIncomeMonthRatio": 0.682368,
"totalIncome3MonthRatio": 0.164025,
"totalIncomeYearRatio": 0.427393,
"totalNetIncomeYesterRatio": -0.046008,
"totalNetIncomeMonthRatio": 0.540702,
"totalNetIncome3MonthRatio": 0.435015,
"totalNetIncomeYearRatio": 0.422052,
"totalEnergyIncomeYesterRatio": -0.171783,
"totalEnergyIncomeMonthRatio": 0.689776,
"totalEnergyIncome3MonthRatio": 0.153355,
"totalEnergyIncomeYearRatio": 0.427615
}data[] 字段说明
| 字段 | 描述 |
|---|---|
day | 统计日期 |
trxPriceInUsd | 统计日当天 TRX 的美元价格 |
totalIncome | 总收入 |
burnIncome | 销毁总收入 |
stakeIncome | 质押总收入 |
energyIncome | 能量总收入 |
netIncome | 带宽总收入 |
energyBurnIncome | 能量销毁收入 |
energyStakeIncome | 能量质押收入 |
netBurnIncome | 带宽销毁收入 |
netStakeIncome | 带宽质押收入 |
周期汇总字段 — 所有值均对应所选收入 type(销毁或质押)
| 字段 | 描述 |
|---|---|
totalIncomeYester | 昨日总收入 |
totalIncomeMonth | 上月总收入 |
totalIncome3Month | 上季度总收入 |
totalIncomeYear | 去年总收入 |
totalNetIncomeYester | 昨日带宽收入 |
totalNetIncomeMonth | 上月带宽收入 |
totalNetIncome3Month | 上季度带宽收入 |
totalNetIncomeYear | 去年带宽收入 |
totalEnergyIncomeYester | 昨日能量收入 |
totalEnergyIncomeMonth | 上月能量收入 |
totalEnergyIncome3Month | 上季度能量收入 |
totalEnergyIncomeYear | 去年能量收入 |
收入占比字段 — 带宽或能量收入在周期总量中的占比
| 字段 | 描述 |
|---|---|
totalNetIncomeYesterRate | 前一日带宽收入占比 |
totalNetIncomeMonthRate | 当月带宽收入占比 |
totalNetIncome3MonthRate | 当季度带宽收入占比 |
totalNetIncomeYearRate | 当年带宽收入占比 |
totalEnergyIncomeYesterRate | 前一日能量收入占比 |
totalEnergyIncomeMonthRate | 当月能量收入占比 |
totalEnergyIncome3MonthRate | 当季度能量收入占比 |
totalEnergyIncomeYearRate | 当年能量收入占比 |
环比变化率字段 — 正值表示增长,负值表示下降
| 字段 | 描述 |
|---|---|
totalIncomeYesterRatio | 日环比总收入变化 |
totalIncomeMonthRatio | 月环比总收入变化 |
totalIncome3MonthRatio | 季度环比总收入变化 |
totalIncomeYearRatio | 年同比总收入变化 |
totalNetIncomeYesterRatio | 日环比带宽收入变化 |
totalNetIncomeMonthRatio | 月环比带宽收入变化 |
totalNetIncome3MonthRatio | 季度环比带宽收入变化 |
totalNetIncomeYearRatio | 年同比带宽收入变化 |
totalEnergyIncomeYesterRatio | 日环比能量收入变化 |
totalEnergyIncomeMonthRatio | 月环比能量收入变化 |
totalEnergyIncome3MonthRatio | 季度环比能量收入变化 |
totalEnergyIncomeYearRatio | 年同比能量收入变化 |
最后更新于: